Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessBaseFactoryService

    java.lang.Object
      org.jbpm.process.ProcessBaseFactoryService

All Implemented Interfaces:
  KnowledgeBaseFactoryService, Service

    public class ProcessBaseFactoryService

extends Object
implements KnowledgeBaseFactoryService

Constructor Summary
`ProcessBaseFactoryService()`

Method Summary
`Environment` | `newEnvironment()` Instantiate and return an Environment
`KnowledgeBase` | `newKnowledgeBase()` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration
`KnowledgeBase` | `newKnowledgeBase(KnowledgeBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration
`KnowledgeBase` | `newKnowledgeBase(String kbaseId)` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.
`KnowledgeBase` | `newKnowledgeBase(String kbaseId, KnowledgeBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.
`KnowledgeBaseConfiguration` | `newKnowledgeBaseConfiguration()` Instantiate and return a new KnowledgeBaseConfiguration
`KnowledgeBaseConfiguration` | `newKnowledgeBaseConfiguration(Properties properties, ClassLoader... classLoaders)` Instantiate and return a new KnowledgeBaseConfiguration
`KnowledgeSessionConfiguration` | `newKnowledgeSessionConfiguration()` Instantiate and return a new KnowledgeSessionConfiguration
`KnowledgeSessionConfiguration` | `newKnowledgeSessionConfiguration(Properties properties)` Instantiate and return a new KnowledgeSessionConfiguration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBaseFactoryService

    public ProcessBaseFactoryService()

Method Detail

### newKnowledgeBaseConfiguration

    public KnowledgeBaseConfiguration newKnowledgeBaseConfiguration()

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a new KnowledgeBaseConfiguration

  Specified by:
    `newKnowledgeBaseConfiguration` in interface `KnowledgeBaseFactoryService`
  Returns:
    the KnowledgeBaseConfiguration

### newKnowledgeBaseConfiguration

    public KnowledgeBaseConfiguration newKnowledgeBaseConfiguration(Properties properties,
                                                                    ClassLoader... classLoaders)

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a new KnowledgeBaseConfiguration

  Specified by:
    `newKnowledgeBaseConfiguration` in interface `KnowledgeBaseFactoryService`
  Parameters:
    `properties` - Properties file to process, can be null;
    `classLoaders` - Provided ClassLoader, can be null and then ClassLoader defaults to Thread.currentThread().getContextClassLoader()
  Returns:
    The KnowledgeBaseConfiguration

### newKnowledgeSessionConfiguration

    public KnowledgeSessionConfiguration newKnowledgeSessionConfiguration()

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a new KnowledgeSessionConfiguration

  Specified by:
    `newKnowledgeSessionConfiguration` in interface `KnowledgeBaseFactoryService`
  Returns:
    the KnowledgeSessionConfiguration

### newKnowledgeSessionConfiguration

    public KnowledgeSessionConfiguration newKnowledgeSessionConfiguration(Properties properties)

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a new KnowledgeSessionConfiguration

  Specified by:
    `newKnowledgeSessionConfiguration` in interface `KnowledgeBaseFactoryService`
  Parameters:
    `properties` - Properties file to process, can be null;
  Returns:
    The KnowledgeSessionConfiguration

### newKnowledgeBase

    public KnowledgeBase newKnowledgeBase()

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration

  Specified by:
    `newKnowledgeBase` in interface `KnowledgeBaseFactoryService`
  Returns:
    The KnowledgeBase

### newKnowledgeBase

    public KnowledgeBase newKnowledgeBase(String kbaseId)

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.

  Specified by:
    `newKnowledgeBase` in interface `KnowledgeBaseFactoryService`
  Parameters:
    `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
  Returns:
    The KnowledgeBase

### newKnowledgeBase

    public KnowledgeBase newKnowledgeBase(KnowledgeBaseConfiguration conf)

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration

  Specified by:
    `newKnowledgeBase` in interface `KnowledgeBaseFactoryService`
  Parameters:
    `conf` - The KnowledgeBaseConfiguration to be used
  Returns:
    The KnowledgeBase

### newKnowledgeBase

    public KnowledgeBase newKnowledgeBase(String kbaseId,
                                          KnowledgeBaseConfiguration conf)

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.

  Specified by:
    `newKnowledgeBase` in interface `KnowledgeBaseFactoryService`
  Parameters:
    `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
    `conf` - The KnowledgeBaseConfiguration to be used
  Returns:
    The KnowledgeBase

### newEnvironment

    public Environment newEnvironment()

  Description copied from interface: `KnowledgeBaseFactoryService`
  Instantiate and return an Environment

  Specified by:
    `newEnvironment` in interface `KnowledgeBaseFactoryService`
  Returns:
    The Environment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.